> ## Documentation Index
> Fetch the complete documentation index at: https://developers.logicgate.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate text

> An ease of use endpoint with a straightforward input and output to provide an off-the-shelf means for low configuration generative AI text.



## OpenAPI

````yaml POST /api/v1/fields/ai
openapi: 3.1.0
info:
  title: Risk Cloud API
  description: >-
    The Risk Cloud API is a collection of RESTful API endpoints that empower you
    and your team to directly integrate, automate, and build with the Risk
    Cloud. Risk Cloud API endpoint payloads are JSON based, with some endpoints
    supporting exports in CSV and XSLX formats for flexible integration.


    This API documentation showcases our Risk Cloud API v1, containing a variety
    of endpoints with continued support for enabling integrations with the Risk
    Cloud.


    Visit the [LogicGate Risk Cloud Developer
    Portal](https://www.logicgate.com/developer/) to get started with building
    your custom integration with quick start guides, usage guides, release
    notes, and more. Or download the [v1 OpenAPI
    specification](/legacy-openapi.json).


    Explore our [Risk Cloud API v2](https://docs.logicgate.com/v2/index.html)
    endpoints and documentation as well. [Risk Cloud API
    v2](https://docs.logicgate.com/v2/index.html) is our collection of API-First
    endpoints that are tailor made for our developer users, offer concise and
    highly documented details, are supported by a [Postman
    collection](https://www.postman.com/logicgate-postman/workspace/logicgate-risk-cloud-api/collection/29257227-de8d264b-6eeb-4177-bea6-2da0a8cabffc)
    and [v2 OpenAPI specification](https://github.com/LogicGateTech/openapi),
    and contain our latest API endpoint releases.
  contact:
    name: developer-relations@logicgate.com
    email: developer-relations@logicgate.com
  version: v2026.11.0
servers:
  - url: https://{subdomain}.logicgate.com
    description: Your Risk Cloud environment.
    variables:
      subdomain:
        description: Your Risk Cloud environment's subdomain (e.g. `qa`).
        default: your-instance
security:
  - ApiToken: []
  - basic: []
tags:
  - name: Authentication
    description: >-
      Getting Started: How to create an [API Access
      Token](https://www.logicgate.com/developer/risk-cloud-api-authentication/)
      to begin integrating with the Risk Cloud API
  - name: Attachment
    description: Endpoints for uploading, downloading, and retrieving record attachments.
  - name: Field
    description: Endpoints for creating, updating, and querying fields.
  - name: Principal
    description: >-
      Endpoints for the authenticated principal to view and manage their own
      details.
  - name: Record Audit
    description: Endpoints for retrieving record audit history and productivity data.
  - name: Step
    description: Endpoints for retrieving steps and the steps a user can access.
  - name: Table Report
    description: Endpoints for retrieving and managing table reports.
  - name: User Group
    description: Endpoints for managing user groups and their membership.
externalDocs:
  description: Developer Portal
  url: https://www.logicgate.com/developer/
paths:
  /api/v1/fields/ai:
    post:
      tags:
        - Field
      summary: Generate Text
      description: >-
        An ease of use endpoint with a straightforward input and output to
        provide an off-the-shelf means for low configuration generative AI text.
      operationId: generateField
      parameters:
        - name: workflow-id
          in: query
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            A bearer authorization header containing a Risk Cloud API access
            token in the format `Authorization: Bearer {TOKEN}`.


            To obtain a Risk Cloud API access token, refer to [Obtain an API
            Access
            Token](https://www.logicgate.com/developer/risk-cloud-api-authentication/)
            in the [LogicGate Help Center](https://help.logicgate.com/hc/en-us).
          required: true
          schema:
            type: string
          example: Bearer {TOKEN}
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenAiTextIn'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FieldApiOut'
components:
  schemas:
    OpenAiTextIn:
      type: object
      properties:
        message:
          type: string
          description: The prompt input for the OpenAI model.
          example: >-
            The email body text of a concise and kind business notification to a
            recipient to fill out a cyber risk evaluation. No subject.
          minLength: 1
        maxOutputTokens:
          type: integer
          format: int32
          description: An upper bound for the number of tokens that can be generated.
          example: 100
          minimum: 0
        temperature:
          type: number
          format: double
          description: >-
            The sampling temperature to use, between 0 and 2. Higher values like
            0.8 will make the output more random, while lower values like 0.2
            will make it more focused and deterministic.
          example: 1
          maximum: 2
          minimum: 0
      required:
        - message
      title: OpenAI Text (In)
    FieldApiOut:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of this Risk Cloud resource
          example: a1b2c3d4
        name:
          type: string
          description: The name of the field
          example: Risk Severity
        application:
          $ref: '#/components/schemas/ApplicationPropertyApiOut'
          description: The parent application of the field, or null for global fields
        workflow:
          $ref: '#/components/schemas/WorkflowPropertyApiOut'
          description: The parent workflow of the field, or null for global fields
        label:
          type: string
          description: The label of the field as shown on the record
          example: Enter the Risk Severity based on your assessment
        global:
          type: boolean
          description: Whether the field is global
          example: false
        required:
          type: boolean
          description: Whether the field is required for the current step
          example: false
        tooltip:
          type: string
          description: The tooltip information of the field
          example: Select the Risk Severity
        helpText:
          type: string
          description: >-
            The help text of the field to supply necessary context for filling
            out the field
          example: Determine the Risk Severity from your assessment
        type:
          type: string
          description: The type of the field
          enum:
            - DATE
            - USER
            - EXTERNAL_USER
            - TEXT
            - TEXT_AREA
            - NUMBER
            - E_SIGNATURE
            - CHECKBOX
            - MULTI_SELECT
            - RADIO
            - SELECT
            - ATTACHMENT
            - CALCULATION
            - TEXT_CONCATENATION
            - LINKED_RECORDS_COUNT
            - DATE_CALCULATION
            - OTHER
          example: SELECT
          title: Field Type
        valueType:
          type: string
          description: The type of the field value
          enum:
            - NUMBER
            - CALCULATION
            - ATTACHMENT
            - DATE
            - OPTION
            - USER
            - TEXT
            - OTHER
          example: OPTION
        optionValues:
          type: array
          description: >-
            The option values of the field for Select, Multi-Select, Radio,
            Checkbox, and E-Signature field types
          items:
            $ref: '#/components/schemas/ValuePropertyApiOut'
        defaultValues:
          type: array
          description: The default values of the field
          items:
            $ref: '#/components/schemas/ValuePropertyApiOut'
        pattern:
          type: string
          description: The regular expression used to validate field input.
          example: '[0-9]{3}-[0-9]{3}-[0-9]{4}$'
        message:
          type: string
          description: The text that displays in a Field when no value has been input yet.
        expression:
          type: string
          description: >-
            The mathematical expression used to calculate a value for a
            Calculation Field.
          example: '%f + %f'
        nullStrategy:
          type: string
          description: The way in which null values are handled for a calculation.
          example: >-
            Available options are: null, 0, 1, N/A, a blank space, and an empty
            String.
        logicalHandling:
          type: string
          description: >-
            The comparison operator used to define label range boundaries for a
            calculation field. Determines whether ranges are created for values
            greater than or less than the baseline number.
          enum:
            - EQUALS
            - NOT_EQUALS
            - IS
            - IS_NOT
            - GREATER_THAN
            - GREATER_THAN_EQUALS
            - LESS_THAN
            - LESS_THAN_EQUALS
            - CONTAINS
            - DOES_NOT_CONTAIN
            - 'NULL'
            - NOT_NULL
            - DATE_RANGE
            - NUMERIC_RANGE
          example: >-
            Some examples are: EQUALS, NOT_EQUALS, GREATER_THAN,
            GREATER_THAN_EQUALS, etc.
        labelsEnabled:
          type: boolean
          description: A true or false describing if labels are enabled.
          example: true
        fieldInputs:
          type: array
          description: The Fields that are used by a calculation as input.
          items:
            $ref: '#/components/schemas/CrossflowResponse'
        linkDepth:
          type: integer
          format: int32
          description: >-
            The number of relationship hops from the source Record that the
            Linked Records Count calculation counts. Value between 1 and 10.
        object:
          type: string
          description: Identifies the type of object this data represents
          example: field
      required:
        - application
        - defaultValues
        - expression
        - fieldInputs
        - global
        - helpText
        - id
        - label
        - labelsEnabled
        - linkDepth
        - logicalHandling
        - message
        - name
        - nullStrategy
        - object
        - optionValues
        - pattern
        - required
        - tooltip
        - type
        - valueType
        - workflow
      title: Field (Response)
    ApplicationPropertyApiOut:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of this Risk Cloud resource
          example: a1b2c3d4
        name:
          type: string
          description: The name of the application
          example: Cyber Risk Management Application
        type:
          type: string
          description: The type of Risk Cloud application
          enum:
            - ACCESS_MANAGEMENT
            - AML_KYC
            - ASSET_MANAGEMENT
            - AUDIT_MANAGEMENT
            - BUSINESS_CONTINUITY_PLANNING
            - CHANGE_MANAGEMENT
            - COMPLAINT_MANAGEMENT
            - COMPLIANCE_MANAGEMENT
            - CONTRACT_MANAGEMENT
            - CONTROLS_COMPLIANCE
            - CONTROLS_MANAGEMENT
            - CRISIS_MANAGEMENT
            - CUSTOM
            - CUSTOM_GRC_USE_CASE
            - CYBER_RISK_MANAGEMENT
            - DATA_PRIVACY_MANAGEMENT
            - EMPLOYEE_COMPLIANCE
            - ENTERPRISE_RISK_MANAGEMENT
            - ESG
            - INCIDENT_MANAGEMENT
            - INTERNAL_AUDIT_MANAGEMENT
            - IT_RISK_MANAGEMENT
            - NONE
            - OPERATIONAL_RESILIENCY
            - OTHER
            - POLICY_AND_PROCEDURE_MANAGEMENT
            - POLICY_MANAGEMENT
            - PRIVACY_MANAGEMENT
            - QUANTIFY
            - REGULATORY_COMPLIANCE
            - REPOSITORY
            - RISK_QUANTIFICATION
            - SOX_TESTING
            - STANDARDS_REGULATIONS
            - SURVEY
            - THIRD_PARTY_RISK_MANAGEMENT
          example: CONTROLS_COMPLIANCE
        object:
          type: string
          description: Identifies the type of object this data represents
          example: application
      required:
        - id
        - name
        - object
        - type
      title: Application (Property)
    WorkflowPropertyApiOut:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of this Risk Cloud resource
          example: a1b2c3d4
        name:
          type: string
          description: The name of the workflow
          example: Risk Assessments
        recordPrefix:
          type: string
          description: >-
            The prefix to be used in the name of every record created from this
            workflow
          example: Assessment
        object:
          type: string
          description: Identifies the type of object this data represents
          example: workflow
      required:
        - id
        - name
        - object
        - recordPrefix
      title: Workflow (Property)
    ValuePropertyApiOut:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of this Risk Cloud resource
          example: a1b2c3d4
        type:
          type: string
          description: The type of the value
          enum:
            - NUMBER
            - CALCULATION
            - ATTACHMENT
            - DATE
            - OPTION
            - USER
            - TEXT
            - OTHER
          example: OPTION
        textValue:
          type: string
          description: >-
            The text representation of the record value, with the format varying
            by value type:

            - `NUMBER`: a string representation of the number, with currency if
            specified on the field (example: `"42"`)

            - `CALCULATION`: a string representation of the label if specified
            on the field, otherwise the number (example: `"Highest Risk"`)

            - `ATTACHMENT`: the name of the attachment file (example:
            `"my-evidence.pdf"`)

            - `DATE`: the date formatted according to the requesting user's
            settings (example: `"1/1/23, 12:00 PM"`)

            - `OPTION`: the text value of the option (example: `"Medium Risk"`)

            - `USER`: the full name and email of the user (example: `"First Last
            (first.last@example.com)"`)

            - `TEXT`: the text value (example: `"Data Theft"`)
          example: Medium Risk
        numericValue:
          type: number
          format: double
          description: >-
            The numeric representation of the record value, with the format
            varying by value type:

            - `NUMBER`: the numeric value of the number (example: `42.0`)

            - `CALCULATION`: the numeric value of the calculation (example:
            `42.0`)

            - `ATTACHMENT`: the version count of the attachment (example: `2.0`)

            - `DATE`: the date measured in milliseconds since the Unix epoch
            (example: `1672552800000.0`)

            - `OPTION`: the numeric value of the option (example: `2.0`)

            - `USER`: a null value (example: `null`)

            - `TEXT`: a null value (example: `null`)
          example: 2
        object:
          type: string
          description: Identifies the type of object this data represents
          example: value
      required:
        - id
        - numericValue
        - object
        - textValue
        - type
      title: Value (Property)
    CrossflowResponse:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of this Risk Cloud resource
        crossflowReducer:
          type: string
          enum:
            - NEWEST
            - OLDEST
            - MOST_RECENTLY_LINKED
            - LEAST_RECENTLY_LINKED
            - SUM
            - AVERAGE
            - HIGHEST
            - LOWEST
        calcSpecificToStep:
          type: boolean
        calcStep:
          $ref: '#/components/schemas/StepApiOut'
        systemField:
          type: string
          enum:
            - NAME
            - STATUS
            - CREATED
            - ENTERED_STEP_DATE
            - USER_DATE
            - EFFECTIVE_DUE_DATE
            - STEP_DUE_DATE
            - CURRENT_DATE
            - DUE_DATE
            - DAYS_UNTIL_DUE
            - SIMILARITY
            - RATIONALE
            - MATCH_CONFIDENCE
            - COMPLETED_DATE
            - LAST_COMPLETED_DATE
            - ID
            - SEQUENCE
            - ASSESSMENT_COUNT
            - USER_NAME
            - USER_ID
            - CREATOR_NAME
            - USER_GROUP
            - STEP_NAME
            - STEP_ID
            - ORIGIN_NAME
            - ORIGIN_ID
            - WORKFLOW_NAME
            - WORKFLOW_RECORD_PREFIX
            - WORKFLOW_ID
            - PRIMARY_FIELD
            - STATE
        fieldWorkflow:
          $ref: '#/components/schemas/WorkflowPropertyApiOut'
        fieldWorkflowId:
          type: string
        customField:
          $ref: '#/components/schemas/FieldPropertyApiOut'
        customFieldId:
          type: string
        priority:
          type: integer
          format: int32
      required:
        - calcSpecificToStep
        - calcStep
        - crossflowReducer
        - customField
        - customFieldId
        - fieldWorkflow
        - fieldWorkflowId
        - id
        - priority
        - systemField
    StepApiOut:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of this Risk Cloud resource
          example: a1b2c3d4
        name:
          type: string
          description: The name of the step
          example: Identify Risk
        description:
          type: string
          description: The description of the step
          example: This is a description of the step
        xpos:
          type: integer
          format: int32
          description: The x-coordinate of the step in the application builder
          example: 20
        ypos:
          type: integer
          format: int32
          description: The y-coordinate of the step in the application builder
          example: 20
        type:
          type: string
          description: The type of the step
          enum:
            - ORIGIN
            - CHAIN
            - END
          example: ORIGIN
        enableComments:
          type: boolean
          description: Whether comments are displayed on a step
          example: false
        assignableUserType:
          type: string
          description: >-
            Indicates which users are allowed to be assigned this step on a
            record
          enum:
            - APP_AND_EXTERNAL_USERS
            - APP_USERS
            - EXTERNAL_USERS
          example: APP_USERS
        externalUserMfaRequired:
          type: boolean
          description: Whether MFA is required for external users to access this step.
          example: false
        autofillEnabled:
          type: boolean
          description: Whether or not to enable autofill on the step.
          example: false
        workflow:
          $ref: '#/components/schemas/WorkflowPropertyApiOut'
          description: The parent workflow of the step
        object:
          type: string
          description: Identifies the type of object this data represents
          example: step
      required:
        - assignableUserType
        - autofillEnabled
        - description
        - enableComments
        - externalUserMfaRequired
        - id
        - name
        - object
        - type
        - workflow
        - xpos
        - ypos
      title: Step (Response)
    FieldPropertyApiOut:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of this Risk Cloud resource
          example: a1b2c3d4
        name:
          type: string
          description: The name of the field
          example: Risk Severity
        label:
          type: string
          description: The label of the field as shown on the record
          example: Enter the Risk Severity based on your assessment
        global:
          type: boolean
          description: Whether the field is global
          example: false
        required:
          type: boolean
          description: Whether the field is required for the current step
          example: false
        tooltip:
          type: string
          description: The tooltip information of the field
          example: Select the Risk Severity
        helpText:
          type: string
          description: >-
            The help text of the field to supply necessary context for filling
            out the field
          example: Determine the Risk Severity from your assessment
        type:
          type: string
          description: The type of the field
          enum:
            - DATE
            - USER
            - EXTERNAL_USER
            - TEXT
            - TEXT_AREA
            - NUMBER
            - E_SIGNATURE
            - CHECKBOX
            - MULTI_SELECT
            - RADIO
            - SELECT
            - ATTACHMENT
            - CALCULATION
            - TEXT_CONCATENATION
            - LINKED_RECORDS_COUNT
            - DATE_CALCULATION
            - OTHER
          example: SELECT
          title: Field Type
        valueType:
          type: string
          description: The type of the field value
          enum:
            - NUMBER
            - CALCULATION
            - ATTACHMENT
            - DATE
            - OPTION
            - USER
            - TEXT
            - OTHER
          example: OPTION
        pattern:
          type: string
          description: The regular expression used to validate field input.
          example: '[0-9]{3}-[0-9]{3}-[0-9]{4}$'
        message:
          type: string
          description: The text that displays in a Field when no value has been input yet.
        expression:
          type: string
          description: >-
            The mathematical expression used to calculate a value for a
            Calculation Field.
          example: '%f + %f'
        nullStrategy:
          type: string
          description: The way in which null values are handled for a calculation.
          example: >-
            Available options are: null, 0, 1, N/A, a blank space, and an empty
            String.
        logicalHandling:
          type: string
          description: >-
            The comparison operator used to define label range boundaries for a
            calculation field. Determines whether ranges are created for values
            greater than or less than the baseline number.
          enum:
            - EQUALS
            - NOT_EQUALS
            - IS
            - IS_NOT
            - GREATER_THAN
            - GREATER_THAN_EQUALS
            - LESS_THAN
            - LESS_THAN_EQUALS
            - CONTAINS
            - DOES_NOT_CONTAIN
            - 'NULL'
            - NOT_NULL
            - DATE_RANGE
            - NUMERIC_RANGE
          example: >-
            Some examples are: EQUALS, NOT_EQUALS, GREATER_THAN,
            GREATER_THAN_EQUALS, etc.
        labelsEnabled:
          type: boolean
          description: A true or false describing if labels are enabled.
          example: true
        linkDepth:
          type: integer
          format: int32
          description: >-
            The number of relationship hops from the source Record that the
            Linked Records Count calculation counts. Value between 1 and 10.
        object:
          type: string
          description: Identifies the type of object this data represents
          example: field
      required:
        - expression
        - global
        - helpText
        - id
        - label
        - labelsEnabled
        - linkDepth
        - logicalHandling
        - message
        - name
        - nullStrategy
        - object
        - pattern
        - required
        - tooltip
        - type
        - valueType
      title: Field (Response)
  securitySchemes:
    ApiToken:
      type: http
      scheme: bearer
      bearerFormat: API Token
    basic:
      type: http
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.